Docs
Translations

Translate text (nothing saved)

POST/translateNeedscontent.edit

Translate a title, body and button text into one language (targetLanguage) or all supported ones (all: true).

Authorization

secretKey
headerAuthorizationBearer <sk_…>

A secret API key from Settings → API keys. It acts with its creator's role.

Request Body

application/json
  1. body
title?|null
body?|null
buttonText?|null
targetLanguage?|null
sourceLanguage?string
Default"en"
Value in"en""uk""pl""es""pt""de""ru""fr""it""ja""zh"
all?boolean
Defaultfalse

Response Body

translation for one language, translations keyed by language for all

application/json
  1. response
translation?
translations?
Shell
curl -X POST 'https://app.cueston.com/api/translate' \
  -H 'Content-Type: application/json' \
  -d '{}'
Example Response
JSON
{
  "translation": {
    "title": "Welcome to Acme",
    "body": "Here's a quick look at where everything is.",
    "buttonText": "Next"
  },
  "translations": {
    "property1": {
      "title": "Welcome to Acme",
      "body": "Here's a quick look at where everything is.",
      "buttonText": "Next"
    },
    "property2": {
      "title": "Welcome to Acme",
      "body": "Here's a quick look at where everything is.",
      "buttonText": "Next"
    }
  }
}